<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Factorial-Funciones_Recursivas</title>
</head>
<body>
    <button onclick="location.reload();">Volver a ingresar Numero</button>
    <h2 id="resultado"></h2>
    <script type="text/javascript">
         entrada=prompt('Ingrese el Numero:');
         resultado=factorial(entrada);
         res_h2=document.getElementById('resultado');
         res_h2.innerHTML=entrada+"! es igual a " + resultado;

         function factorial(numero)
         {
             var res_fact;
             if(numero==0) res_fact=1;
             else res_fact=numero*factorial(numero-1);
             return res_fact;

         }
    </script>
</body>
</html>